%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif
%global modname zope.structuredtext
%global version 3.5.0
%global release 1

Summary: StructuredText parser
Name: python-zope-structuredtext
Version: %{version}
Release: %{release}%{?dist}
Source0: http://pypi.python.org/packages/source/z/%{modname}/%{modname}-%{version}.tar.gz
License: ZPLv2.1
Group: Development/Libraries
BuildArch: noarch
URL: http://pypi.python.org/pypi/zope.structuredtext

BuildRequires: python2-devel
BuildRequires: python-setuptools
Requires: python-zope-filesystem

%description
This package provides a parser and renderers for the classic Zope
"structured text" markup dialect (STX).  STX is a plain text markup in
which document structure is signaled primarily by indentation

%prep
%setup -q -n %{modname}-%{version}

%build
python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python setup.py install --root=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES.txt README.txt TODO.txt docs/
%{python_sitelib}/zope/structuredtext/
%{python_sitelib}/%{modname}-*.egg-info
%{python_sitelib}/%{modname}-*-nspkg.pth


%changelog
* Thu Jun 17 2010 Robin Lee <robinlee.sysu@gmail.com> - 3.5.0-1
- Initial packaging
